calc/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('', views.index),
    path('sumar/<int:op1>/<int:op2>', views.add),
    path('restar/<int:op1>/<int:op2>', views.sub),
    path('multiplicar/<int:op1>/<int:op>', views.multi),
    path('dividir/<int:op1>/<int:op2>', views.div),
]

cms/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('', views.index),
    path('imagen', views.imagen),    
    path('loggedIn', views.loggedIn),
    path('logout', views.logout_view),
    path('<str:llave>', views.get_content),
]

proyecto/urls.py
from django.contrib import admin
from django.urls import include, path
from django.contrib.auth.views import LoginView as login
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('cms/', include('cms.urls')),
    path('calc/', include('calc.urls')),
    path('admin/', admin.site.urls),
    path('login', login.as_view()),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

calc/models.py
from django.db import models

# Create your models here.

cms/models.py
from django.db import models

class Contenido(models.Model):
    clave = models.CharField(max_length=64)
    valor = models.TextField()

    def __str__(self):
        return self.clave
        
    def tiene_as(self):
        return ('a' in self.valor)

class Comentario(models.Model):
    contenido = models.ForeignKey(Contenido, on_delete=models.CASCADE)
    titulo = models.CharField(max_length=200)
    cuerpo = models.TextField(blank=False)
    fecha = models.DateTimeField('publicado')
    
    def __str__(self):
        return self.titulo
        
    def tiene_as(self):
        return ('a' in self.titulo)

calc/views.py
from django.http import HttpResponse


def index(request):
    return HttpResponse("Hola, mundo. Estás en la página de inicio de tu app llamada calc.")

def add(request, op1, op2):
    return HttpResponse(op1+op2)

def sub(request, op1, op2):
    return HttpResponse(op1-op2)

def multi(request, op1, op2):
    return HttpResponse(op1*op2)

def div(request, op1, op2):
    try:
        result = op1/op2
    except ZeroDivisionError:
        result = "No division by zero allowed!"
    return HttpResponse(result)

cms/views.py
from django.http import HttpResponse
from django.shortcuts import get_object_or_404, render, redirect
from django.views.decorators.csrf import csrf_exempt
from django.utils import timezone
from django.template import loader
from django.contrib.auth import logout

from .models import Contenido, Comentario

formulario_contenido = """
<br>
<form action="" method="POST">
  Introduce el (nuevo) contenido para esta página: 
  <input type="text" name="valor">
  <input type="submit" name="action" value="Enviar Contenido">
</form>
"""

formulario_comentario = """
<br>
<form action="" method="POST">
  Introduce un nuevo comentario para esta página: 
  <br>Título: <input type="text" name="titulo">
  <br>Cuerpo: <input type="text" name="cuerpo">
  <input type="submit" name="action" value="Enviar Comentario">
</form>
"""

@csrf_exempt
def get_content(request, llave):
    if request.method == "PUT":
        valor = request.body.decode('utf-8')           
    elif request.method == "POST":
        action = request.POST['action']
        if action == "Enviar Contenido":
            valor = request.POST['valor']                
    if request.method == "PUT" or (request.method == "POST" and action == "Enviar Contenido"):
        try:
            c = Contenido.objects.get(clave=llave) 
            c.valor = valor
        except Contenido.DoesNotExist:
            c = Contenido(clave=llave, valor=valor)
        c.save()
    if request.method == "POST" and action == "Enviar Comentario":
            c = get_object_or_404(Contenido, clave=llave) 
            titulo = request.POST['titulo']
            cuerpo = request.POST['cuerpo']
            q = Comentario(contenido=c, titulo=titulo, cuerpo=cuerpo, fecha=timezone.now())
            q.save()

    contenido = get_object_or_404(Contenido, clave=llave)
    context = {'contenido': contenido}
    return render(request, 'cms/content.html', context)


def index(request):
    content_list = Contenido.objects.all()[:5]
    context = {'content_list': content_list}
    return render(request, 'cms/index.html', context)
    
def loggedIn(request):
    if request.user.is_authenticated:
        logged = "Logged in as " + request.user.username
    else:
        logged = "Not logged in. <a href='/admin/'>Login via admin</a>"
    return HttpResponse(logged)
    
def logout_view(request):
    logout(request)
    return redirect("/cms/") 
    
def imagen(request):
    template = loader.get_template('cms/plantilla.html')
    context = {}
    return HttpResponse(template.render(context, request))

cms/templates/cms/contenido.html
{% extends 'cms/content.html' %}

    {% block contenido %}
        <h1  class="display-4">Llave: {{ contenido.clave }}</h1>
          <p  class="lead"> {{ contenido.valor }} </p>
          <hr  class="my-4">
            <div  class="content container">
                <div  class="row">
                    <div  class="col-md-8">
                    {% for comentario in contenido.comentario_set.all %}
                        <div  class="comentario">
                            <div  class="date">
                                {{ comentario.fecha }}
                            </div>
                            <h2>{{ comentario.titulo }}</h2>
                            <p>{{ comentario.cuerpo|linebreaksbr }}</p>
                        </div>
                    {% endfor %}
                    </div>
                </div>
        </div>
    {% endblock %}

cms/templates/cms/content.html
{% load static %}
<html>
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{% static 'cms/bootstrap.min.css' %}">

    <title>CMS de CursosWeb</title>
  </head>
   <body>
    <div  class="jumbotron">
        {% block contenido %}
        {% endblock %}
     </div>
  </body>
</html>

cms/templates/cms/index.html
{% if content_list %}
    <ul>
    {% for content in content_list %}
        <li><a href="/cms/{{ content.clave }}">{{ content.clave }}</a></li>
    {% endfor %}
    </ul>
{% else %}
    <p>No contents are available.</p>
{% endif %}

cms/templates/cms/plantilla.html
{% load static %}
<img src="{% static "cms/example.jpg" %}" alt="My image">